Bug 1243499 - Review Request: python-configparser - Backport of python 3 configparser module to python 2.7 (and 2.6)
Summary: Review Request: python-configparser - Backport of python 3 configparser modul...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-15 15:21 UTC by José Matos
Modified: 2015-07-31 07:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 09:27:30 UTC
Type: ---
zbyszek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description José Matos 2015-07-15 15:21:45 UTC
Spec URL: https://jamatos.fedorapeople.org/python-configparser.spec
SRPM URL: https://jamatos.fedorapeople.org/python-configparser-3.5.0b2-0.1.fc22.src.rpm
Description:
The ancient ConfigParser module available in the standard library 2.x
has seen a major update in Python 3.2. This is a backport of those
changes so that they can be used directly in Python 2.6 - 3.5.

Fedora Account System Username: jamatos

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-07-15 17:12:03 UTC
I was worried about issues with backwards compatiblity. But this package does not override the module in Python 2.7 stdlib because the name is different (configparser vs. ConfigParser). I think a note about this should be added to %description, to avoid confusion.

You make the package only for Python 2.7, so any mention of other versions should be removed from %description.

There is no license file.
Also, I think licensing might be wrong. CPython is licensed under PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2, and configparser is directly derived from that, so should also be licensed the same. I think that licensing it as MIT might be a mistake, unless configparser is indpendently derived from a different source. Upstream maintainer of configparser in cpython prepared the stand-alone configparser module, so it's possible that he is simply has copyright to the code and decided to provide it under a different license. Either way, please confirm the license, and ask upstream to include a license file.

No issues with packaging otherwise.

Comment 2 José Matos 2015-07-16 08:42:51 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> I was worried about issues with backwards compatiblity. But this package
> does not override the module in Python 2.7 stdlib because the name is
> different (configparser vs. ConfigParser). I think a note about this should
> be added to %description, to avoid confusion.

OK. I will add a note.

> You make the package only for Python 2.7, so any mention of other versions
> should be removed from %description.

I disagree. The idea of the sentence is that the code can be used unchanged from versions 2.6 to 3.5 (btw excluding 3.0 and 3.1). This is relevant.

What I agree that it can be done is to improve the last remark and say something like this this:

"This package is not available for python 3 since it belongs to standard library starting from python 3.2 so it is already installed with python 3."

I welcome improvements to the sentence above. :-)

> There is no license file.
> Also, I think licensing might be wrong. CPython is licensed under PYTHON
> SOFTWARE FOUNDATION LICENSE VERSION 2, and configparser is directly derived
> from that, so should also be licensed the same. I think that licensing it as
> MIT might be a mistake, unless configparser is indpendently derived from a
> different source. Upstream maintainer of configparser in cpython prepared
> the stand-alone configparser module, so it's possible that he is simply has
> copyright to the code and decided to provide it under a different license.
> Either way, please confirm the license, and ask upstream to include a
> license file.

I took the time to confirm the license. In a sense for me that is the most important check that needs to be done while packaging. :-)

The source for the license is the pypi package whose the index responsibility is from author of the code (the same that is in python standard library).

The license there is MIT.

FWIW both debian and Arch maintainer agree with this assessment:

http://metadata.ftp-master.debian.org/changelogs//main/c/configparser/configparser_3.3.0r2-2_copyright
https://aur.archlinux.org/packages/python2-configparser/

In any case agree that, according to "The Zen of Python", "Explicit is better than implicit."

So I will ask the author to add a license file to the code.

> No issues with packaging otherwise.

Thanks.

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-07-16 12:45:41 UTC
(In reply to José Matos from comment #2)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> > I was worried about issues with backwards compatiblity. But this package
> > does not override the module in Python 2.7 stdlib because the name is
> > different (configparser vs. ConfigParser). I think a note about this should
> > be added to %description, to avoid confusion.
> 
> OK. I will add a note.
> 
> > You make the package only for Python 2.7, so any mention of other versions
> > should be removed from %description.
> 
> I disagree. The idea of the sentence is that the code can be used unchanged
> from versions 2.6 to 3.5 (btw excluding 3.0 and 3.1). This is relevant.
> 
> What I agree that it can be done is to improve the last remark and say
> something like this this:
> 
> "This package is not available for python 3 since it belongs to standard
> library starting from python 3.2 so it is already installed with python 3."
> 
> I welcome improvements to the sentence above. :-)
Maybe make it explicit: "In Fedora, this package is only provided for Python 2
because a recent version is already installed as part of the Python 3 standard
library."

> > There is no license file.
> > Also, I think licensing might be wrong. CPython is licensed under PYTHON
> > SOFTWARE FOUNDATION LICENSE VERSION 2, and configparser is directly derived
> > from that, so should also be licensed the same. I think that licensing it as
> > MIT might be a mistake, unless configparser is indpendently derived from a
> > different source. Upstream maintainer of configparser in cpython prepared
> > the stand-alone configparser module, so it's possible that he is simply has
> > copyright to the code and decided to provide it under a different license.
> > Either way, please confirm the license, and ask upstream to include a
> > license file.
> 
> I took the time to confirm the license. In a sense for me that is the most
> important check that needs to be done while packaging. :-)
> 
> The source for the license is the pypi package whose the index
> responsibility is from author of the code (the same that is in python
> standard library).
> 
> The license there is MIT.
Yes. But I think that *that* license might be wrong. (Although the difference between MIT and PSFL is cosmetic, so there's little practical difference.)

Comment 4 José Matos 2015-07-16 15:39:12 UTC
I have updated the description and the information regarding the license:

* Thu Jul 16 2015 José Matos <jamatos> - 3.5.0b2-0.2
- Improve description to make it clear that this package in only needed for python 2.7
- Make the license tag information more explicit.

Spec URL: https://jamatos.fedorapeople.org/python-configparser.spec
SRPM URL: https://jamatos.fedorapeople.org/python-configparser-3.5.0b2-0.2.fc22.src.rpm

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-07-16 16:17:51 UTC
- latest version
- license has been clarified ;)
- packaging is standard for Python modules
- no conflicts
- guidelines are followed

Package is APPROVED.

Comment 6 José Matos 2015-07-17 09:20:47 UTC
Thnak you. :-)

New Package SCM Request
=======================
Package Name: python-configparser
Short Description: Backport of python 3 configparser module to python 2.7 (and 2.6)
Upstream URL: https://bitbucket.org/ambv/configparser
Owners: jamatos
Branches: f21 f22 f23

Comment 7 Kevin Fenzi 2015-07-20 17:23:18 UTC
Git done (by process-git-requests).

Comment 8 José Matos 2015-07-21 09:27:30 UTC
Checked in and built.

Comment 9 Fedora Update System 2015-07-21 10:09:59 UTC
python-configparser-3.5.0b2-0.2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-configparser-3.5.0b2-0.2.fc22

Comment 10 Fedora Update System 2015-07-21 10:11:10 UTC
python-configparser-3.5.0b2-0.2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-configparser-3.5.0b2-0.2.fc21

Comment 11 Fedora Update System 2015-07-31 07:53:25 UTC
python-configparser-3.5.0b2-0.2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-07-31 07:56:56 UTC
python-configparser-3.5.0b2-0.2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.